Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/sysutils/brasero/Makefile,v
retrieving revision 1.34
diff -u -p -r1.34 Makefile
--- Makefile	20 Nov 2010 15:36:54 -0000	1.34
+++ Makefile	23 May 2011 13:27:33 -0000
@@ -7,6 +7,7 @@
 
 PORTNAME=	brasero
 PORTVERSION=	2.32.1
+PORTREVISION=	1
 CATEGORIES=	sysutils audio multimedia gnome
 MASTER_SITES=	GNOME
 DIST_SUBDIR=	gnome2
@@ -70,5 +71,6 @@ post-patch:
 	    	${WRKSRC}/libbrasero-burn/burn-process.c
 	@${REINPLACE_CMD} -e 's|" == "|" = "|g' \
 		${WRKSRC}/configure
+	@${REINPLACE_CMD} -e 's|/proc/self/fd/0|/dev/fd/0|g' ${WRKSRC}/po/*.po
 
 .include <bsd.port.post.mk>
Index: files/patch-plugins-growisofs-burn-growisofs.c
===================================================================
RCS file: files/patch-plugins-growisofs-burn-growisofs.c
diff -N files/patch-plugins-growisofs-burn-growisofs.c
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ files/patch-plugins-growisofs-burn-growisofs.c	23 May 2011 13:24:07 -0000
@@ -0,0 +1,24 @@
+--- plugins/growisofs/burn-growisofs.c.orig	2011-05-23 20:22:46.000000000 +0700
++++ plugins/growisofs/burn-growisofs.c	2011-05-23 20:23:15.000000000 +0700
+@@ -502,18 +502,18 @@
+ 			/* FIXME: is it right to mess with it ? 
+ 			   g_ptr_array_add (argv, g_strdup_printf ("-use-the-force-luke=bufsize:%im", 32)); */
+ 
+-			if (!g_file_test ("/proc/self/fd/0", G_FILE_TEST_EXISTS)) {
++			if (!g_file_test ("/dev/fd/0", G_FILE_TEST_EXISTS)) {
+ 				g_set_error (error,
+ 					     BRASERO_BURN_ERROR,
+ 					     BRASERO_BURN_ERROR_FILE_NOT_FOUND,
+ 					     _("\"%s\" could not be found"),
+-					     "/proc/self/fd/0");
++					     "/dev/fd/0");
+ 				return BRASERO_BURN_ERR;
+ 			}
+ 
+ 			/* FIXME: should we use DAO ? */
+ 			g_ptr_array_add (argv, g_strdup ("-Z"));
+-			g_ptr_array_add (argv, g_strdup_printf ("%s=/proc/self/fd/0", device));
++			g_ptr_array_add (argv, g_strdup_printf ("%s=/dev/fd/0", device));
+ 			g_free (device);
+ 		}
+ 		else if (BRASERO_IS_TRACK_IMAGE (current)) {